@import url('./font.css');

* {
    box-sizing: border-box;
    font-family: 'AvantGarde';
}

body {
    margin: 0;
    font-family: 'AvantGarde';
    background-color: #F5F0FF;
}

body::-webkit-scrollbar {
    display: none;
}

.navbar {
    width: 90%;
    margin: 0 auto;
    padding: 10px 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logoImg {
    width: 5%;
}

.navbarMenu {
    margin: 0;
    padding: 0;
    color: #582BAF;
    font-size: 20px;
    text-transform: uppercase;
    list-style-type: none;
    display: flex;
}

.navbarMenuBtn {
    margin: 0 10px;
    text-decoration: none;
}

.navbarMenuBtn:visited {
    color: #582BAF;
}


.center {
    width: 80%;
    margin: 0 auto;
}

.timerSection {
    margin: 100px 0 70px 0;
    overflow: hidden;
}

.timerHeader {
    margin: 0;
    color: #582BAF;
    text-align: center;
    font-size: 85px;
    text-transform: uppercase;
}

.timerContainer {
    margin: 0;
    padding: 0;
    text-align: center;
}

.timerContainer li {
    display: inline-block;
    font-size: 24px;
    list-style-type: none;
    padding: 1em;
    text-transform: uppercase;
}
  
.timerContainer li span {
    display: block;
    font-size: 72px;
    color: #808080;
}

.illustrationContainer {
    width: 80%;
    margin: 0 auto;
}

.illustration {
    width: 100%;
}

.contactForm {
    width: 510px;
    margin: 50px auto;
    display: flex;
    justify-content: flex-end;
    flex-wrap: wrap;
}

.formInput, .sendBtn {
    outline: 0;
    border: none;
    background-color: transparent;
    border: 1.5px solid #CCCCCC;
}

.formInput {
    width: 49%;
    padding: 12px 10px;
    font-weight: 600;
    border-radius: 5px;
}

.contactForm textarea {
    resize: none;
}

.contactForm textarea::placeholder {
    font-weight: 400;
}

.formBlock {
    width: 100%;
    margin: 15px 0 0;
}

input::placeholder {
    font-weight: normal;
}

.sendBtn {
    width: 100px;
    margin-top: 15px;
    border-radius: 5px;
    transition: all 0.5s ease;
    float: right;
}

.sendBtn:hover {
    cursor: pointer;
    border: 1.5px solid #582BAF;
    background-color: #582BAF;
}

.arrowIcon {
    color: #582BAF;
    font-size: 25px;
}




/* LOADING */
.loadingContainer {
    width: 100%;
    height: 100vh;
    background-color: #F5F0FF;
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.ball {
    width: 10px;
    height: 10px;
    margin: 10px auto;
    border-radius: 50px;
}

.ball:nth-child(1) {
    background: #582BAF;
    -webkit-animation: right 1s infinite ease-in-out;
    -moz-animation: right 1s infinite ease-in-out;
    animation: right 1s infinite ease-in-out;
}

.ball:nth-child(2) {
    background: #582BAF;
    -webkit-animation: left 1.1s infinite ease-in-out;
    -moz-animation: left 1.1s infinite ease-in-out;
    animation: left 1.1s infinite ease-in-out;
}

.ball:nth-child(3) {
    background: #582BAF;
    -webkit-animation: right 1.05s infinite ease-in-out;
    -moz-animation: right 1.05s infinite ease-in-out;
    animation: right 1.05s infinite ease-in-out;
}

.ball:nth-child(4) {
    background: #582BAF;
    -webkit-animation: left 1.15s infinite ease-in-out;
    -moz-animation: left 1.15s infinite ease-in-out;
    animation: left 1.15s infinite ease-in-out;
}

.ball:nth-child(5) {
    background: #582BAF;
    -webkit-animation: right 1.1s infinite ease-in-out;
    -moz-animation: right 1.1s infinite ease-in-out;
    animation: right 1.1s infinite ease-in-out;
}

.ball:nth-child(6) {
    background: #582BAF;
    -webkit-animation: left 1.05s infinite ease-in-out;
    -moz-animation: left 1.05s infinite ease-in-out;
    animation: left 1.05s infinite ease-in-out;
}

.ball:nth-child(7) {
    background: #582BAF;
    -webkit-animation: right 1s infinite ease-in-out;
    -moz-animation: right 1s infinite ease-in-out;
    animation: right 1s infinite ease-in-out;
}

@-webkit-keyframes right {
    0% {
        -webkit-transform: translate(-15px);
    }
    50% {
        -webkit-transform: translate(15px);
    }
    100% {
        -webkit-transform: translate(-15px);
    }
}

@-webkit-keyframes left {
    0% {
        -webkit-transform: translate(15px);
    }
    50% {
        -webkit-transform: translate(-15px);
    }
    100% {
        -webkit-transform: translate(15px);
    }
}

@-moz-keyframes right {
    0% {
        -moz-transform: translate(-15px);
    }
    50% {
        -moz-transform: translate(15px);
    }
    100% {
        -moz-transform: translate(-15px);
    }
}

@-moz-keyframes left {
    0% {
        -moz-transform: translate(15px);
    }
    50% {
        -moz-transform: translate(-15px);
    }
    100% {
        -moz-transform: translate(15px);
    }
}

@keyframes right {
    0% {
        transform: translate(-15px);
    }
    50% {
        transform: translate(15px);
    }
    100% {
        transform: translate(-15px);
    }
}

@keyframes left {
    0% {
        transform: translate(15px);
    }
    50% {
        transform: translate(-15px);
    }
    100% {
        transform: translate(15px);
    }
}

@keyframes removeElement {
    0% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}

@media screen and (max-width: 1024px) {
    
    .logoImg {
        width: 7%;
    }

    .timerSection {
        margin-bottom: 30px;
    }

    .timerHeader {
        font-size: 70px;
    }

    .illustrationContainer {
        width: 100%;
    }

    .contactForm {
        width: 450px;
    }
}

@media screen and (max-width: 768px) {
    
    .timerSection {
        margin-top: 50px;
    }

    .timerHeader {
        font-size: 50px;
    }

    .timerContainer li {
        font-size: 15px;
    }

    .timerContainer li span {
        font-size: 50px;
    }

    .contactForm {
        width: 60%;
    }
}

@media screen and (max-width: 500px) {
    
    .timerHeader {
        font-size: 30px;
    }

    .timerContainer li {
        font-size: 10px;
    }

    .timerContainer li span {
        font-size: 30px;
    }

    .formInput {
        width: 100%;
        padding: 8px 10px;
        margin-bottom: 15px;
        font-size: 10px;
        border: 1px solid #CCCCCC;
    }

    .formBlock {
        margin: 0 0 15px;
    }

    .sendBtn {
        width: 70px;
    }

    .arrowIcon {
        font-size: 15px;
    }
}   

@media screen and (min-width: 500px) {
    input.formInput:first-child {
        margin-right: 2%;
    }
}